r23653 - in /scripts/KGB/debian: ./ changelog compat control copyright default examples init install rules

dmn at users.alioth.debian.org dmn at users.alioth.debian.org
Mon Jul 28 12:22:21 UTC 2008


Author: dmn
Date: Mon Jul 28 12:22:19 2008
New Revision: 23653

URL: http://svn.debian.org/wsvn/?sc=1&rev=23653
Log:
Initial debianisation; added examples, initscript and default file

Added:
    scripts/KGB/debian/
    scripts/KGB/debian/changelog
    scripts/KGB/debian/compat
    scripts/KGB/debian/control
    scripts/KGB/debian/copyright
    scripts/KGB/debian/default
    scripts/KGB/debian/examples
    scripts/KGB/debian/init   (with props)
    scripts/KGB/debian/install
    scripts/KGB/debian/rules   (with props)

Added: scripts/KGB/debian/changelog
URL: http://svn.debian.org/wsvn/scripts/KGB/debian/changelog?rev=23653&op=file
==============================================================================
--- scripts/KGB/debian/changelog (added)
+++ scripts/KGB/debian/changelog Mon Jul 28 12:22:19 2008
@@ -1,0 +1,5 @@
+kgb-bot (0.02) UNRELEASED; urgency=low
+
+  * Initial release. (Closes: #XXXXXX)
+
+ -- Damyan Ivanov <dmn at debian.org>  Mon, 28 Jul 2008 14:44:04 +0300

Added: scripts/KGB/debian/compat
URL: http://svn.debian.org/wsvn/scripts/KGB/debian/compat?rev=23653&op=file
==============================================================================
--- scripts/KGB/debian/compat (added)
+++ scripts/KGB/debian/compat Mon Jul 28 12:22:19 2008
@@ -1,0 +1,1 @@
+7

Added: scripts/KGB/debian/control
URL: http://svn.debian.org/wsvn/scripts/KGB/debian/control?rev=23653&op=file
==============================================================================
--- scripts/KGB/debian/control (added)
+++ scripts/KGB/debian/control Mon Jul 28 12:22:19 2008
@@ -1,0 +1,20 @@
+Source: kgb-bot
+Section: net
+Priority: extra
+Build-Depends: debhelper (>= 7)
+Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-perl/scripts/KGB/
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/scripts/KGB/
+Maintainer: Debian Perl Group <pkg-perl-maintainers at lists.alioth.debian.org>
+Uploaders: Martín Ferrari <tincho at debian.org>, Damyan Ivanov <dmn at debian.org>
+Standards-Version: 3.8.0
+
+Package: kgb-bot
+Architecture: all
+Depends: perl, libpoe-perl, libpoe-component-server-soap-perl,
+ libpoe-component-irc-perl, libyaml-perl, libproc-pid-file-perl,
+ libdigest-sha1-perl
+Description: IRC collaboration bot
+ KGB is an IRC bot, helping people work together by notifying an IRC channel
+ when a commit occures.
+ .
+ It supports multiple repositories/IRC channels and is fully configurable.

Added: scripts/KGB/debian/copyright
URL: http://svn.debian.org/wsvn/scripts/KGB/debian/copyright?rev=23653&op=file
==============================================================================
--- scripts/KGB/debian/copyright (added)
+++ scripts/KGB/debian/copyright Mon Jul 28 12:22:19 2008
@@ -1,0 +1,28 @@
+Upstream source is available via Subversion checkout of
+svn://svn.debian.org/svn/pkg-perl/scripts/KGB
+
+Upstream authors:
+     Martín Ferrari <tincho at debian.org>
+     Damyan Ivanov <dmn at debian.org>
+
+Copyright:
+# Copyright © 2008 Martín Ferrari
+# Copyright © 2008 Damyan Ivanov
+
+License:
+# This program is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free Software
+# Foundation; either version 2 of the License, or (at your option) any later
+# version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 51
+# Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+
+On Debian systems, the complete text of GNU General Public License is available
+in /usr/share/common-licenses/GPL

Added: scripts/KGB/debian/default
URL: http://svn.debian.org/wsvn/scripts/KGB/debian/default?rev=23653&op=file
==============================================================================
--- scripts/KGB/debian/default (added)
+++ scripts/KGB/debian/default Mon Jul 28 12:22:19 2008
@@ -1,0 +1,3 @@
+# Configuration for kgb-bot init script
+# Set to 1 to enable KGB at startup
+BOT_ENABLED=0

Added: scripts/KGB/debian/examples
URL: http://svn.debian.org/wsvn/scripts/KGB/debian/examples?rev=23653&op=file
==============================================================================
--- scripts/KGB/debian/examples (added)
+++ scripts/KGB/debian/examples Mon Jul 28 12:22:19 2008
@@ -1,0 +1,2 @@
+server/kgb.conf.sample
+client/*

Added: scripts/KGB/debian/init
URL: http://svn.debian.org/wsvn/scripts/KGB/debian/init?rev=23653&op=file
==============================================================================
--- scripts/KGB/debian/init (added)
+++ scripts/KGB/debian/init Mon Jul 28 12:22:19 2008
@@ -1,0 +1,154 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          kgb-bot
+# Required-Start:    $remote_fs
+# Required-Stop:     $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Collaborative IRC helper
+# Description:       KGB is an IRC bot, helping people work together by
+#                    notifying an IRC channel when a commit occures.
+### END INIT INFO
+
+# Author: Damyan Ivanov <dmn at debian.org>
+
+# Do NOT "set -e"
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="Collaborative IRC helper"
+NAME=KGB
+DAEMON=/usr/sbin/$NAME
+DAEMON_ARGS="--config /etc/kfb/kgb.conf"
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+	# Return
+	#   0 if daemon has been started
+	#   1 if daemon was already running
+	#   2 if daemon could not be started
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+		|| return 1
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
+		$DAEMON_ARGS \
+		|| return 2
+	# Add code here, if necessary, that waits for the process to be ready
+	# to handle requests from services started subsequently which depend
+	# on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+	# Return
+	#   0 if daemon has been stopped
+	#   1 if daemon was already stopped
+	#   2 if daemon could not be stopped
+	#   other if a failure occurred
+	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
+	RETVAL="$?"
+	[ "$RETVAL" = 2 ] && return 2
+	# Wait for children to finish too if this is a daemon that forks
+	# and if the daemon is only ever run from this initscript.
+	# If the above conditions are not satisfied then add some other code
+	# that waits for the process to drop all resources that could be
+	# needed by services started subsequently.  A last resort is to
+	# sleep for some time.
+	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+	[ "$?" = 2 ] && return 2
+	# Many daemons don't delete their pidfiles when they exit.
+	rm -f $PIDFILE
+	return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+	#
+	# If the daemon can reload its configuration without
+	# restarting (for example, when it is sent a SIGHUP),
+	# then implement that here.
+	#
+	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+	return 0
+}
+
+case "$1" in
+  start)
+	[ "$BOT_ENABLED" != "1" ] && log_msg $DAEMON disabled in /etc/deault/$NAME && exit 0
+
+	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+	do_start
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+	do_stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  #reload|force-reload)
+	#
+	# If do_reload() is not implemented then leave this commented out
+	# and leave 'force-reload' as an alias for 'restart'.
+	#
+	#log_daemon_msg "Reloading $DESC" "$NAME"
+	#do_reload
+	#log_end_msg $?
+	#;;
+  restart|force-reload)
+	#
+	# If the "reload" option is implemented then remove the
+	# 'force-reload' alias
+	#
+	log_daemon_msg "Restarting $DESC" "$NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;; # Old process is still running
+			*) log_end_msg 1 ;; # Failed to start
+		esac
+		;;
+	  *)
+	  	# Failed to stop
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:

Propchange: scripts/KGB/debian/init
------------------------------------------------------------------------------
    svn:executable = *

Added: scripts/KGB/debian/install
URL: http://svn.debian.org/wsvn/scripts/KGB/debian/install?rev=23653&op=file
==============================================================================
--- scripts/KGB/debian/install (added)
+++ scripts/KGB/debian/install Mon Jul 28 12:22:19 2008
@@ -1,0 +1,1 @@
+server/KGB usr/sbin

Added: scripts/KGB/debian/rules
URL: http://svn.debian.org/wsvn/scripts/KGB/debian/rules?rev=23653&op=file
==============================================================================
--- scripts/KGB/debian/rules (added)
+++ scripts/KGB/debian/rules Mon Jul 28 12:22:19 2008
@@ -1,0 +1,4 @@
+#!/usr/bin/make -f
+
+%:
+	dh $@

Propchange: scripts/KGB/debian/rules
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pkg-perl-cvs-commits mailing list